Bug 1604602 - libiptcdata: FTBFS in Fedora rawhide
Summary: libiptcdata: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libiptcdata
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Moore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS F30FTBFS F31FTBFS 1585626 1628188 1732841
TreeView+ depends on / blocked
 
Reported: 2018-07-19 23:32 UTC by Mohan Boddu
Modified: 2019-07-31 22:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-19 12:50:09 UTC


Attachments (Terms of Use)
build.log (12.79 KB, text/plain)
2018-07-19 23:32 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 23:32 UTC, Mohan Boddu
no flags Details
state.log (639 bytes, text/plain)
2018-07-19 23:32 UTC, Mohan Boddu
no flags Details
build.log from f31 (30.93 KB, text/plain)
2019-03-05 10:06 UTC, Miro Hrončok
no flags Details
root.log from f31 (76.65 KB, text/plain)
2019-03-05 10:07 UTC, Miro Hrončok
no flags Details

Description Mohan Boddu 2018-07-19 23:32:13 UTC
libiptcdata failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28196041


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix libiptcdata at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libiptcdata will be orphaned. Before branching of Fedora 30,
libiptcdata will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 23:32:19 UTC
Created attachment 1463646 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 23:32:26 UTC
Created attachment 1463647 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 23:32:28 UTC
Created attachment 1463648 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:27:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Miro Hrončok 2019-03-05 10:06:59 UTC
Created attachment 1540889 [details]
build.log from f31

Comment 7 Miro Hrončok 2019-03-05 10:07:35 UTC
Created attachment 1540890 [details]
root.log from f31

Comment 8 Filipe Rosset 2019-04-14 23:05:56 UTC
New upstream: https://github.com/ianw/libiptcdata
Debian package: https://salsa.debian.org/debian/libiptcdata/commits/master

Comment 9 Miro Hrončok 2019-04-16 12:04:01 UTC
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

David, please either fix this or orphan the package.

Comment 11 Richard Shaw 2019-04-16 12:57:23 UTC
THe sourceforge page hasn't had a release since 2009 but it looks like it has moved to github:

https://github.com/ianw/libiptcdata/releases

Still don't see any evidence it's been updated for Python 3 so probably best to keep the python module disabled.

Comment 12 Richard Shaw 2019-04-16 12:59:08 UTC
$ sudo dnf repoquery --whatrequires "libiptcdata.so.0()(64bit)"
...
libiptcdata-devel-0:1.0.4-20.fc28.x86_64
python2-libiptcdata-0:1.0.4-20.fc28.x86_64
rawtherapee-0:5.5-4.fc31.x86_64
tracker-miners-0:2.2.1-1.fc30.x86_64

Comment 13 Richard Shaw 2019-04-16 14:19:27 UTC
I don't necessarily want to own the package but as a member of the stewardship SIG, I have fix the package. Upgrading to 1.0.5 fixed the build issue. 

Additionally I built the python module as python 3 and added an obsolete for the python2 module.

Any objection to building?

Comment 14 Mamoru TASAKA 2019-04-16 14:29:12 UTC
A minimal fix for FTBFS is:

================================================
diff --git a/libiptcdata.spec b/libiptcdata.spec
index 3e581ad..5346346 100644
--- a/libiptcdata.spec
+++ b/libiptcdata.spec
@@ -37,6 +37,10 @@ that you can use to develop libiptcdata applications.
 gtkdocize
 autoreconf -fiv
 
+env LANG=C \
+       grep -bPl '\xa9' libiptcdata/*.{c,h} | \
+       xargs sed -i -e 's|\xa9|(c)|'
+
 %build
 %configure --enable-gtk-doc --disable-python --disable-static
 make %{?_smp_mflags}
================================================

i.e. changing ISO-8859-1 copyright charactor to (C) to help gtk-doc
ref:
https://github.com/ianw/libiptcdata/commit/c1a145bb75ff40610d128faedf9ac1752ede6510

Comment 15 Richard Shaw 2019-04-16 15:17:12 UTC
Ok,  never mind, it looks like python2-libiptcdata was taken care of by the fedora obsoletes package. I'll build for f28->Rawhide since it's a new version.

Comment 16 Fedora Update System 2019-04-16 15:53:46 UTC
libiptcdata-1.0.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b042a87a74

Comment 17 Fedora Update System 2019-04-16 15:53:52 UTC
libiptcdata-1.0.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e82a0a5f88

Comment 18 Fedora Update System 2019-04-16 16:11:35 UTC
libiptcdata-1.0.5-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1d54444ac

Comment 19 Richard Shaw 2019-04-16 16:13:48 UTC
Ok, I set bodhi not to close the bugs. We still need to hear from the maintainers or we should orphan the package and/or turn it over to the stewardship SIG.

Comment 20 David Moore 2019-04-16 16:33:50 UTC
Okay, I've orphaned the package because I don't have time to maintain it anymore.

Comment 21 Fedora Update System 2019-04-17 01:02:56 UTC
libiptcdata-1.0.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1d54444ac

Comment 22 Fedora Update System 2019-04-18 21:04:45 UTC
libiptcdata-1.0.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b042a87a74

Comment 23 Fedora Update System 2019-04-18 22:12:59 UTC
libiptcdata-1.0.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e82a0a5f88

Comment 24 Fedora Update System 2019-04-30 01:29:27 UTC
libiptcdata-1.0.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-05-03 03:41:17 UTC
libiptcdata-1.0.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-05-04 01:17:12 UTC
libiptcdata-1.0.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.